%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Css_Parser
%global pear_channel pear.horde.org


Name:           php-horde-Horde-Css-Parser
Version:        1.0.7
Release:        1%{?dist}
Summary:        Horde CSS Parser

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-PHP-CSS-Parser >= 5.0.8

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
BuildRequires:  php-composer(sabberworm/php-css-parser) >= 6
Requires:       php-composer(sabberworm/php-css-parser) >= 6
Provides:       php-composer(horde/horde-css-parser) = %{version}

%description
This package provides access to the Sabberworm CSS Parser from within the
Horde framework.


%prep
%setup -q -c

cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml

sed -e '/Sabberworm\/CSS/d' \
    -e '/EXPAT_LICENSE/d' \
    -i %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/Horde
%{_datadir}/tests/pear/%{pear_name}/Horde/Css/Parser/*
%{pear_phpdir}/Horde/Css


%changelog
* Fri Jul 31 2015 josef radinger <cheese@nosuchhost.net> - 1.0.7-1
- bump version
- add provides php-composer(horde/horde-css-parser)

* Tue Jan 13 2015 josef radinger <cheese@nosuchhost.net> - 1.0.6-1
- bump version

* Thu Jan 08 2015 josef radinger <cheese@nosuchhost.net> - 1.0.5-1
- bump version

* Mon Mar 31 2014 josef radinger <cheese@nosuchhost.net> - 1.0.4-1
- Update to 1.0.4
- add test-files

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 1.0.3-1
- Update to 1.0.3

* Fri Aug 23 2013 Remi Collet <remi@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1 for PHP-CSS-Parser 5.0.8

* Thu May 30 2013 Remi Collet <remi@fedoraproject.org> - 1.0.0-2
- use system php-PHP-CSS-Parser

* Thu May 30 2013 Remi Collet <remi@fedoraproject.org> - 1.0.0-1
- initial package, with bundled lib (need to be cleaned)

